summaryrefslogtreecommitdiffstats
path: root/scripts/qemuimage-tests/tools/smart_test.sh
diff options
context:
space:
mode:
authorPaul Eggleton <paul.eggleton@linux.intel.com>2012-12-10 16:03:00 +0000
committerSaul Wold <sgw@linux.intel.com>2012-12-14 15:17:18 -0800
commitc56d24b35d94fe2934ac7e1dc67422e6abc7539d (patch)
tree8f747f21ed4e15e9636039d3112ecad436b52b15 /scripts/qemuimage-tests/tools/smart_test.sh
parent69f258a2422e6a6ae71834dd097ffa00a1784d9e (diff)
downloadopenembedded-core-contrib-c56d24b35d94fe2934ac7e1dc67422e6abc7539d.tar.gz
Update sanity tests to use smart instead of zypper
Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
Diffstat (limited to 'scripts/qemuimage-tests/tools/smart_test.sh')
-rw-r--r--scripts/qemuimage-tests/tools/smart_test.sh45
1 files changed, 45 insertions, 0 deletions
diff --git a/scripts/qemuimage-tests/tools/smart_test.sh b/scripts/qemuimage-tests/tools/smart_test.sh
new file mode 100644
index 0000000000..f278a25e2b
--- /dev/null
+++ b/scripts/qemuimage-tests/tools/smart_test.sh
@@ -0,0 +1,45 @@
+#!/bin/bash
+# smart test script running in target
+#
+# Author: Jiajun Xu <jiajun.xu@intel.com>
+#
+# This file is licensed under the GNU General Public License,
+# Version 2.
+#
+
+Target_Info()
+{
+ echo -e "\tTARGET: $*"
+}
+
+Target_Err()
+{
+ echo -e "\tTARGET: smart command has issue when running, Pls. check the error log"
+ echo -e "\tTARGET: ##### Error Log #####"
+ $1
+ echo -e "\tTARGET: ##### End #####"
+}
+
+which smart
+if [ $? -ne 0 ]; then
+ Target_Info "No smart command found"
+ exit 1
+fi
+
+if [ smart > /dev/null 2>&1 ]; then
+ Target_Info "smart command run without problem"
+else
+ Target_Err smart
+ exit 1
+fi
+
+# run smart with specific command parsed to smart_test.sh
+smart $* > /dev/null 2>&1
+
+if [ $? -eq 0 ]; then
+ Target_Info "smart $* work without problem"
+ exit 0
+else
+ Target_Err "smart $*"
+ exit 1
+fi